.TH LIBUSB-CONFIG 1 "October 23, 2003"
.SH NAME
libusb-config - script to get information about the installed version of libusb
.SH SYNOPSIS
.B  libusb-config [\-\-prefix\fI[=DIR]\fP] [\-\-exec\-prefix\fI[=DIR]\fP] [\-\-version] [\-\-libs] [\-\-cflags] [LIBRARIES]
.SH DESCRIPTION
.PP
\fIlibusb-config\fP is a tool that is used to configure to determine
the compiler and linker flags that should be used to compile
and link programs that use \fIlibusb\fP. 
.
.SH OPTIONS
.l
\fIlibusb-config\fP accepts the following options:
.TP 8
.B  LIBRARIES
This argument is currently ignored as libusb as only one library.
.TP 8
.B  \-\-version
Print the currently installed version of \fIlibusb\fP on the standard output.
.TP 8
.B  \-\-libs
Print the linker flags that are necessary to link a \fIlibusb\fP program.
.TP 8
.B  \-\-cflags
Print the compiler flags that are necessary to compile a \fIlibusb\fP program.
.TP 8
.B  \-\-prefix=PREFIX
If specified, use PREFIX instead of the installation prefix that \fIlibusb\fP
was built with when computing the output for the \-\-cflags and
\-\-libs options. This option is also used for the exec prefix
if \-\-exec\-prefix was not specified. This option must be specified
before any \-\-libs or \-\-cflags options.
.TP 8
.B  \-\-exec\-prefix=PREFIX
If specified, use PREFIX instead of the installation exec prefix that
\fIlibusb\fP was built with when computing the output for the \-\-cflags
and \-\-libs options.  This option must be specified before any
\-\-libs or \-\-cflags options.
.SH AUTHORS
.B libusb 
was written by Johannes Erdfelt <johannes@erdfelt.com> and Thomas Sailer <sailer@ife.ee.ethz.ch>.
